 
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(180deg, rgb(111, 235, 235) 0%, rgb(130, 104, 169) 100%);
}

.flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.container {
    background: white;
    padding: 1rem;
    border-radius: 10px;
    width: 400px;
    /* height: 0; */
    user-select: none;
    position: relative;
    overflow: hidden;
}

.music_header_title {
    color: #7b7b7b;
}

.music_image {
    width: 100%;
    height: 250px;
    overflow: hidden;
    border-radius: 10px;
    margin: 1rem 0;
}

.music_image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* object-position: 0 -6rem; */
}

.music_artists {
    text-align: center;
    font-size: 12px;
}

.music_name,
.name {
    color: #7b7b7b;
}

.progress_area {
    width: 100%;
    height: 6px;
    border-radius: 6px;
    background-color: #ccc;
    margin: 1rem 0;
    position: relative;
    cursor: pointer;
}

.progress_bar {
    width: 0%;
    height: 100%;
    background: linear-gradient(45deg, rgb(111, 235, 235) 0%, rgb(130, 104, 169) 100%);
    position: relative;
    border-radius: 6px;
}

.progress_bar::before {
    content: '';
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background: radial-gradient(rgb(111, 235, 235) 10%, rgb(130, 104, 169) 100%);
    opacity: 0;
    transition: .3s linear;
}

.progress_bar:hover::before {
    opacity: 1;
}

.music_controls {
    margin: 1rem 0 .5rem;
}

.music_controls i {
    cursor: pointer;
    font-size: 20px;
    transition: .2s linear;
    box-shadow: 0 0 20px #8268a9;
    border-radius: 50%;
    width: 28px;
    text-align: center;
    line-height: 28px;
    height: 28px;
}

.music_controls i:nth-child(3) {
    width: 35px;
    height: 35px;
    line-height: 35px;
    font-size: 24px;
    padding-left: 2px;

}

.music_controls i:hover {
    opacity: .6;
}

.music_list {
    position: absolute;
    bottom: 0;
    background-color: white;
    border-radius: 10px;
    width: 100%;
    height: 200px;
    left: 0;
    padding: 1rem;
    transform: translateY(100%);
    box-shadow: -2px -2px 10px rgba(0, 0, 0, .1);
    overflow-y: scroll;
    transition: .3s linear;
}

.music_list.active {
    transform: translateY(0%);
}

.music_list_nav {
    margin-bottom: 10px;
}

.list_title {
    font-size: 16px;
    color: #454444;
}

.list_title i {
    font-size: 14px;
}

.fa-times {
    color: #454444;
    cursor: pointer;
}

.list {
    margin: 10px 0;
}

.music_des {
    text-decoration: none;
    color: #454444;
}

.music_name {
    font-size: 15px;
    transition: .3s linear;
}

.music_location {
    font-size: 15px;
    transition: .3s linear;
}

.list_music_duration {
    font-size: 15px;
    color: #454444;
} 